From 187ea55e797d59049d413307d64653daf2f678d6 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 12 Dec 2008 10:06:04 -0500
Subject: [PATCH] Build arm with no dri. Update files section accordingly.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 mesa.spec |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

diff --git a/mesa.spec b/mesa.spec
index aaf1a07..b9d6cea 100644
--- a/mesa.spec
+++ b/mesa.spec
@@ -1,7 +1,7 @@
 # When bootstrapping an arch, omit the -demos subpackage.
 
 # S390 doesn't have video cards, so it's not much use building DRI there.
-%ifarch s390 s390x
+%ifarch s390 s390x %{arm}
 %define with_dri 0
 %define driver xlib
 %else
@@ -18,7 +18,7 @@
 Summary: Mesa graphics libraries
 Name: mesa
 Version: 7.2
-Release: 0.13%{?dist}
+Release: 0.13%{?dist}.fa1
 License: MIT
 Group: System Environment/Libraries
 URL: http://www.mesa3d.org
@@ -310,7 +310,11 @@ rm -rf $RPM_BUILD_ROOT
 %files libGL
 %defattr(-,root,root,-)
 %{_libdir}/libGL.so.1
+%if %{with_dri}
 %{_libdir}/libGL.so.1.2
+%else
+%{_libdir}/libGL.so.1.*
+%endif
 
 %if %{with_dri}
 %files dri-drivers
@@ -330,10 +334,12 @@ rm -rf $RPM_BUILD_ROOT
 %{_includedir}/GL/xmesa.h
 %{_includedir}/GL/xmesa_x.h
 %{_includedir}/GL/xmesa_xf86.h
+%if %{with_dri}
 %dir %{_includedir}/GL/internal
 %{_includedir}/GL/internal/dri_interface.h
-%{_libdir}/libGL.so
 %{_libdir}/pkgconfig/dri.pc
+%endif
+%{_libdir}/libGL.so
 %{_libdir}/pkgconfig/gl.pc
 %{_datadir}/man/man3/gl[^uX]*.3gl*
 %{_datadir}/man/man3/glX*.3gl*
-- 
1.5.3.3

